NAGIOS-NRPE(8)

NAME
nrpe - Nagios Remote Plugin Executor - Server

SYNOPSIS
nagios-nrpe [-n] -c <config_file> [-4|-6] <mode>

DESCRIPTION

The purpose of this addon is to allow you to execute Nagios plugins on a remote host in as transparent a manner as possible.

This program runs as a background process on the remote host and processes command execution requests from the check_nrpe plugin on the Nagios host.

OPTIONS

-n               = Do not use SSL

-c <config_file> = Name of config file to use

-4               = Use IPv4 only

-6               = Use IPv6 only

<mode>           = One of the following two operating modes:

-i             =    Run as a service under inetd or xinetd

-d             =    Run as a standalone daemon

-d -s          =    Run as a subsystem under AIX

-d             =    Don't fork() for systemd, launchd, etc.

Notes: This program is designed to process requests from the check_nrpe plugin on the host(s) running Nagios. It can run as a service under inetd or xinetd (read the docs for info on this), or as a standalone daemon. Once a request is received from an authorized host, NRPE will execute the command/plugin (as defined in the config file) and return the plugin output and return code to the check_nrpe plugin.

AUTHOR
This manual page was written by Jason Thomas <jason@debian.org>, for the Debian project (but may be used by others).